Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.0.0.CR5
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.optaplanner.core.config.heuristic.selector
Class SelectorConfig

    java.lang.Object
      org.optaplanner.core.config.heuristic.selector.SelectorConfig

Direct Known Subclasses:
  EntitySelectorConfig, MoveSelectorConfig, PillarSelectorConfig, SubChainSelectorConfig, ValueSelectorConfig

    public abstract class SelectorConfig

extends Object

General superclass for `MoveSelectorConfig`, `EntitySelectorConfig` and `ValueSelectorConfig`.

Constructor Summary
`SelectorConfig()`

Method Summary
`protected PlanningEntityDescriptor` | `deduceEntityDescriptor(SolutionDescriptor solutionDescriptor, Class<?> entityClass)`
`protected PlanningVariableDescriptor` | `deduceVariableDescriptor(PlanningEntityDescriptor entityDescriptor, String variableName)`
`protected Collection<PlanningVariableDescriptor>` | `deduceVariableDescriptors(PlanningEntityDescriptor entityDescriptor, List<String> variableNameIncludeList)`
`protected void` | `inherit(SelectorConfig inheritedConfig)`
`String` | `toString()`
`protected void` | `validateCacheTypeVersusSelectionOrder(SelectionCacheType resolvedCacheType, SelectionOrder resolvedSelectionOrder)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SelectorConfig

    public SelectorConfig()

Method Detail

### validateCacheTypeVersusSelectionOrder

    protected void validateCacheTypeVersusSelectionOrder(SelectionCacheType resolvedCacheType,
                                                         SelectionOrder resolvedSelectionOrder)

### deduceEntityDescriptor

    protected PlanningEntityDescriptor deduceEntityDescriptor(SolutionDescriptor solutionDescriptor,
                                                              Class<?> entityClass)

### deduceVariableDescriptor

    protected PlanningVariableDescriptor deduceVariableDescriptor(PlanningEntityDescriptor entityDescriptor,
                                                                  String variableName)

### deduceVariableDescriptors

    protected Collection<PlanningVariableDescriptor> deduceVariableDescriptors(PlanningEntityDescriptor entityDescriptor,
                                                                               List<String> variableNameIncludeList)

### inherit

    protected void inherit(SelectorConfig inheritedConfig)

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.0.0.CR5
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 JBoss by Red Hat. All Rights Reserved.